<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    version='1.0'>
    <xsl:import
        href="/usr/share/xml/docbook/stylesheet/nwalsh/fo/docbook.xsl" />

    <!-- A4 format -->
    <xsl:param name="paper.type" select="'A4'" />

    <!-- <xsl:param name="language">en</xsl:param> -->
    <xsl:param name="admon.graphics" select="1"/>
    <xsl:param name="section.autolabel" select="1"/>
    <xsl:param name="section.label.includes.component.label" select="1"/>

    <!-- depth of the TOC -->
    <xsl:param name="toc.section.depth">3</xsl:param>

    <!-- ProgramListing/Screen has a background color -->
    <xsl:param name="shade.verbatim">1</xsl:param>
    <xsl:attribute-set name="shade.verbatim.style">
        <xsl:attribute name="background-color">#EEEEEE</xsl:attribute>
    </xsl:attribute-set>


    <!-- Allow to wrap long lines for program listing -->
    <xsl:param name="hyphenate.verbatim" select="1"></xsl:param>
    <xsl:attribute-set name="monospace.verbatim.properties">
        <xsl:attribute name="wrap-option">wrap</xsl:attribute>
        <xsl:attribute name="hyphenation-character">\</xsl:attribute>
    </xsl:attribute-set>

    <!-- Reduce size of program listing font and add a border -->
    <xsl:attribute-set name="verbatim.properties">
        <xsl:attribute name="font-size">7pt</xsl:attribute>
        <xsl:attribute name="border-width">1pt</xsl:attribute>
        <xsl:attribute name="border-style">solid</xsl:attribute>
        <xsl:attribute name="border-color">#888888</xsl:attribute>
    </xsl:attribute-set>

</xsl:stylesheet>